# Generated by Django 2.1.3 on 2020-08-26 12:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('devices', '0013_auto_20200826_1229'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0013_buildingcontact_historicalbuildingcontact'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalInterface',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('type', models.CharField(blank=True, max_length=255, null=True, verbose_name='type')),
                ('actual_mtu', models.CharField(blank=True, max_length=255, null=True, verbose_name='actual_mtu')),
                ('tx', models.CharField(blank=True, max_length=255, null=True, verbose_name='tx')),
                ('rx', models.CharField(blank=True, max_length=255, null=True, verbose_name='rx')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik', verbose_name='node')),
            ],
            options={
                'verbose_name': 'historical interface',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Interface',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('type', models.CharField(blank=True, max_length=255, null=True, verbose_name='type')),
                ('actual_mtu', models.CharField(blank=True, max_length=255, null=True, verbose_name='actual_mtu')),
                ('tx', models.CharField(blank=True, max_length=255, null=True, verbose_name='tx')),
                ('rx', models.CharField(blank=True, max_length=255, null=True, verbose_name='rx')),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='node')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Neighbor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(db_index=True, verbose_name='created_at')),
                ('identity', models.CharField(blank=True, max_length=255, null=True, verbose_name='identity')),
                ('board_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='board_name')),
                ('uptime', models.CharField(blank=True, max_length=255, null=True, verbose_name='uptime')),
                ('address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='neighbor_addrress', to='devices.IPTable')),
                ('interface', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Interface', verbose_name='interface')),
                ('mac_address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='neighbor_mac_address', to='devices.MACTable')),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik', verbose_name='node')),
            ],
        ),
    ]
